%global  snap   2009.07.03

Name:           fritzing
Version:        0.3.5b
Release:        1%{?dist}
Summary:        Intuitive EDA platform featuring from prototype to product

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://fritzing.org/
Source0:        http://fritzing.org/download/%{version}/source-tarball/%{name}.%{snap}.source.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
Requires:       electronics-menu

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based 
prototypes, and to create a PCB layout for manufacturing.

%prep
%setup -q -n %{name}.%{snap}.source

sed -i "s|getUserDataStorePath("bins")|getUserDataStorePath("%{_datadir}/%{name}/bins")|" src/fapplication.cpp

%build
%{_qt4_qmake}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_bindir}
install -pm 755 Fritzing %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/%{name}
%{__cp} -pr sketches %{buildroot}%{_datadir}/%{name}
%{__cp} -pr parts    %{buildroot}%{_datadir}/%{name}
%{__cp} -pr bins     %{buildroot}%{_datadir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.GPL2 LICENSE.GPL3
%{_bindir}/Fritzing
%{_datadir}/%{name}

%changelog
* Tue Jul 7 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.5b-1
- initial package for Fedora
